jQuery(document).ready( function($) {
    $("#sub_header").ready( function() {
        $(".school-banner").css("margin-top", function(){ return -$(this).find(".logo-div").outerHeight(); });
        $(".school-banner").hover( function() {
            $(this).css("margin-top", "0");
        }, function() {
            $(this).css("margin-top", function(){ return -$(this).find(".logo-div").outerHeight(); });
        });
    });

    $(".menu-button").click( function() {
        $("#header").prev(".mobile-menu").find(".nav").addClass("active");
    });

    $(".menu-close").click( function() {
        $("#header").prev(".mobile-menu").find(".nav").removeClass("active");
    });

    var fixedParentMenuItem = $("#header.fixed_height .inner-page-navigation .menu-item.current-menu-parent.menu-item-has-children, #header.fixed_height .inner-page-navigation .menu-item.current-menu-item.menu-item-has-children");

    if (fixedParentMenuItem.length > 0) {
        var wrappedSubMenu = $(fixedParentMenuItem).find("ul.sub-menu").wrap('<div class="sub-header-nav"></div>').parent();
        $("#header").after(wrappedSubMenu);
    }

    var floatingParentMenuItem = $("#header.floating .inner-page-navigation .menu-item.current-menu-parent.menu-item-has-children, #header.floating .inner-page-navigation .menu-item.current-menu-item.menu-item-has-children");

    if (floatingParentMenuItem.length > 0) {
        var wrappedSubMenu = $(floatingParentMenuItem).find("ul.sub-menu").wrap('<div class="sub-nav-list"></div>').parent().wrap('<div class="fixed-sub-nav"></div>').parent();
        $(wrappedSubMenu).prepend('<div class="icon-container"><i class="far fa-chevron-right"></i></div>')
        $("body").append(wrappedSubMenu);
    }

    $(".page-content").waypoint({
        handler: function(direction) {
            if (direction == "down") {
                $(".fixed-sub-nav").addClass("collapsed");
            }
            else if (direction == "up") {
                $(".fixed-sub-nav").removeClass("collapsed");
            }
        },
        offset: '-70%'
    });

    $(".fixed-sub-nav .icon-container").click( function() {
        if ($(this).closest(".fixed-sub-nav").hasClass("collapsed")) {
            $(this).closest(".fixed-sub-nav").removeClass("collapsed");
        }
        else {
            $(this).closest(".fixed-sub-nav").addClass("collapsed");
        }
    });

    $(".mobile-menu ul.menu .menu-item.menu-item-has-children").each( function(i, item) {
        $(item).children("a").after(' <span class="icon-container"><i class="far fa-chevron-down"></i></span></div>');
        $(item).children("a").wrap('<div class="item-title"></div>').closest(".item-title").append($(item).children("span.icon-container"));
    });

    $(".mobile-menu").on("click", ".menu-item.menu-item-has-children .item-title >  .icon-container", function() {
        if ($(this).find("i").css("transform") == "none") {
            $(this).closest(".menu-item").find("ul.sub-menu").css("display", "block");
            $(this).find("i").css("transform", "rotate(180deg)")
        }
        else {
            $(this).closest(".menu-item").find("ul.sub-menu").css("display", "none");
            $(this).find("i").css("transform", "none")
        }

    });
});